# # Interface: CartesianScaleTypeRegistry

## # Hierarchy

- `CartesianScaleTypeRegistry`

  ↳ `ScaleTypeRegistry`

## # Properties

### # category

• category: `Object`

#### # Type declaration

Name | Type
--- | ---
`options` | `CategoryScaleOptions`

#### # Defined in

index.esm.d.ts:3491
(opens new window)

### # linear

• linear: `Object`

#### # Type declaration

Name | Type
--- | ---
`options` | `LinearScaleOptions`

#### # Defined in

index.esm.d.ts:3485
(opens new window)

### # logarithmic

• logarithmic: `Object`

#### # Type declaration

Name | Type
--- | ---
`options` | `LogarithmicScaleOptions`

#### # Defined in

index.esm.d.ts:3488
(opens new window)

### # time

• time: `Object`

#### # Type declaration

Name | Type
--- | ---
`options` | `TimeScaleOptions`

#### # Defined in

index.esm.d.ts:3494
(opens new window)

### # timeseries

• timeseries: `Object`

#### # Type declaration

Name | Type
--- | ---
`options` | `TimeScaleOptions`

#### # Defined in

index.esm.d.ts:3497
(opens new window)